Bug 2890 - registry/regfio.c: "header" is used before its value is set
registry/regfio.c: "header" is used before its value is set
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 minor
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-18 20:33 UTC by Jason Mader
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-07-18 20:33:59 UTC
cc-1551 cc: WARNING File = registry/regfio.c, Line = 482
  The variable "header" is used before its value is set.

        while ( header != 0xffffffff ) {
                ^
Comment 1 Tim Potter 2005-07-18 20:49:17 UTC
This one's for you mr registry!  (-:  I'm surprised gcc didn't pick this up.
Comment 2 Gerald (Jerry) Carter 2005-07-19 05:56:58 UTC
Thanks.  FIxed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:33 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.